DCMTK: DcmOutputBufferStream Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmOutputBufferStream Class Reference

output stream that writes into a buffer of fixed length which must be provided by the caller. More...

Inheritance diagram for DcmOutputBufferStream:

## Public Member Functions
| DcmOutputBufferStream (void *buf, offile_off_t bufLen)
| constructor
virtual | ~DcmOutputBufferStream ()
| destructor
virtual void | flushBuffer (void *&buffer, offile_off_t &length)
| retrieves and flushes the underlying buffer.
virtual offile_off_t | filled ()
| query the number of bytes in buffer without flushing it.
Public Member Functions inherited from DcmOutputStream
virtual | ~DcmOutputStream ()
| destructor
virtual OFBool | good () const
| returns the status of the stream.
virtual OFCondition | status () const
| returns the status of the consumer as an OFCondition object.
virtual OFBool | isFlushed () const
| returns true if the stream is flushed, i.e.
virtual offile_off_t | avail () const
| returns the minimum number of bytes that can be written with the next call to write().
virtual offile_off_t | write (const void *buf, offile_off_t buflen)
| processes as many bytes as possible from the given input block.
virtual void | flush ()
| instructs the stream to flush its internal content until either the stream becomes "flushed" or I/O suspension occurs.
virtual offile_off_t | tell () const
| returns the total number of bytes written to the stream so far
virtual OFCondition | installCompressionFilter (E_StreamCompression filterType)
| installs a compression filter for the given stream compression type, which should be neither ESC_none nor ESC_unsupported.

## Private Member Functions
| DcmOutputBufferStream (const DcmOutputBufferStream &)
| private unimplemented copy constructor
DcmOutputBufferStream & | operator= (const DcmOutputBufferStream &)
| private unimplemented copy assignment operator

## Private Attributes
DcmBufferConsumer | consumer_
| the final consumer of the filter chain

## Additional Inherited Members
Protected Member Functions inherited from DcmOutputStream
| DcmOutputStream (DcmConsumer *initial)
| protected constructor, to be called from derived class constructor

## Detailed Description

output stream that writes into a buffer of fixed length which must be provided by the caller.

## Constructor & Destructor Documentation

## ◆ DcmOutputBufferStream()

DcmOutputBufferStream::DcmOutputBufferStream | ( | void * | buf,
|  | offile_off_t | bufLen )

constructor

Parameters

  buf | buffer in which data is stored. Must be allocated by caller and remain valid during the lifetime of this object.
  bufLen | buffer length, must be even number > 0.

Referenced by DcmOutputBufferStream(), and operator=().

## Member Function Documentation

## ◆ filled()

virtual offile_off_t DcmOutputBufferStream::filled | ( |  | ) |
| virtual

query the number of bytes in buffer without flushing it.

Returns
  number of bytes in buffer.

## ◆ flushBuffer()

virtual void DcmOutputBufferStream::flushBuffer | ( | void *& | buffer,
|  | offile_off_t & | length )
| virtual

retrieves and flushes the underlying buffer.

After return of this method, the buffer is considered to have been flushed (copied, stored) by the caller and is reused by the next write operation.

Parameters

  buffer | pointer to user provided buffer returned in this parameter
  length | number of bytes in buffer returned in this parameter

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcostrmb.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2